> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Stream

> Resume an interrupted SSE stream by replaying cached events.



## OpenAPI

````yaml /openapi.json post /api/v1/chat/sessions/{session_id}/messages/resume
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/chat/sessions/{session_id}/messages/resume:
    post:
      tags:
        - Chat
      summary: Resume Stream
      description: Resume an interrupted SSE stream by replaying cached events.
      operationId: resume_stream_api_v1_chat_sessions__session_id__messages_resume_post
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
        - name: stream_id
          in: query
          required: true
          schema:
            type: string
            description: Stream ID from stream_start event
            title: Stream Id
          description: Stream ID from stream_start event
        - name: last_seq
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Last received sequence number
            default: 0
            title: Last Seq
          description: Last received sequence number
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````